%define name python-ldap
%define version 2.3.1
%define rel 1

%define release %mkrel %rel

Summary: 	Various LDAP-related Python modules
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.gz
License:	Modified CNRI Open Source License
Group: 		Development/Python
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Url: 		http://python-ldap.sourceforge.net/
BuildRequires:	openldap-devel >= 2.3
BuildRequires:	python-devel
Requires: 	python

%description
python-ldap provides an object-oriented API to access LDAP directory 
servers from Python programs. Mainly it wraps the OpenLDAP 2.x libs 
for that purpose.

Additionally the package contains modules for other LDAP-related stuff 
(e.g. processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

%prep
%setup -q
perl -pi -e 's,^(library_dirs.*=).*,$1,g' setup.cfg
chmod a+r -R .

%build
export CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/sasl"
python setup.py build

%install
rm -Rf %{buildroot}
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc CHANGES README INSTALL TODO Demo/



%changelog
* Thu Jul 26 2007 Funda Wang <fundawang@mandriva.org> 2.3.1-1mdv2008.0
+ Revision: 55848
- Remove patch, merged upstream
- New version

  + Andreas Hasenack <andreas@mandriva.com>
    - added support for modify+increment (RFC4525) extension

* Thu May 03 2007 Andreas Hasenack <andreas@mandriva.com> 2.3-1mdv2008.0
+ Revision: 21512
- updated to version 2.3
- adjusted buildrequires, we now require openldap-devel >= 2.3


* Sun Mar 04 2007 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.1-3mdv2007.0
+ Revision: 132191
- Requires python, not just python-base (fixes bug #27794).

* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.1-2mdv2007.1
+ Revision: 88466
- rebuild with python 2.5

* Thu Nov 16 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.1-1mdv2007.1
+ Revision: 84835
- updated to version 2.2.1
- Import python-ldap

* Fri May 05 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.0-1mdk
- updated to version 2.2.0

* Wed Nov 23 2005 Andreas Hasenack <andreas@mandriva.com> 2.0.11-2mdk
- rebuilt with openssl 0.9.8a

* Mon Nov 07 2005 Buchan Milne <bgmilne@mandriva.org> 2.0.11-1mdk
- New release 2.0.11

* Wed Aug 31 2005 Emmanuel Blindauer <blindauer@mandriva.org> 2.0.9-2mdk
- Add missing Requires

* Fri Jul 29 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.9-1mdk
- New release 2.0.9

* Wed Jun 22 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.8-1mdk
- New release 2.0.8
- rpmbuildupdate-able and %%mkrel-ed
- clean buildroot in %%install
- cleanups

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.0.2-2mdk
- Rebuild for new python

* Thu Sep 02 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.2-1mdk
- 2.0.2

* Wed Jul 21 2004 Buchan Milne<bgmilne@linux-mandrake.com> 2.0.1-1mdk
- 2.0.1
- remove redundant buildrequires
- drop patch (no longer required), empty library_dirs in setup.cfg to avoid
  rpath entries

* Tue Apr 20 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.0-0.pre19.3mdk
- BuildRequires openssl-devel

* Tue Apr 20 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.0-0.pre19.2mdk
- BuildRequires libsasl2-devel

